SeqSimilaritySearchHit (BioJava-1.5-beta API)
Keywords: org.biojava.bio.search.SeqSimilaritySearchHit interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.search
Interface SeqSimilaritySearchHit

All Superinterfaces:
  Annotatable, Changeable

All Known Implementing Classes:
  SequenceDBSearchHit, SimpleSeqSimilaritySearchHit

    public interface SeqSimilaritySearchHit

extends Annotatable

Objects of this type represent one particular hit (sequence and associated information) from a sequence similarity search.

Author:
  Gerald Loeffler, Keith James

Nested Class Summary
`static class` | `SeqSimilaritySearchHit.ByScoreComparator` `ByScoreComparator` compares `SeqSimilaritySearchHit`s by their score.
`static class` | `SeqSimilaritySearchHit.BySubHitCountComparator` `BySubHitCountComparator` compares `SeqSimilaritySearchHit`s by their number of sub-hits.

Nested classes/interfaces inherited from interface org.biojava.bio.Annotatable
`Annotatable.AnnotationForwarder`

Field Summary
`static SeqSimilaritySearchHit.ByScoreComparator` | `byScore` `byScore` contains a `SeqSimilaritySearchHit` comparator which compares by their score.
`static SeqSimilaritySearchHit.BySubHitCountComparator` | `bySubHitCount` `bySubHitCount` contains a `SeqSimilaritySearchHit` comparator which compares by their number of sub-hits.

Fields inherited from interface org.biojava.bio.Annotatable
`ANNOTATION`

Method Summary
`double` | `getEValue()` Return the overall E-value of this hit.
`double` | `getPValue()` Return the overall P-value of this hit.
`int` | `getQueryEnd()` Return the end position of the last sub-hit in the query sequence.
`int` | `getQueryStart()` Return the start position of the first sub-hit in the query sequence.
`StrandedFeature.Strand` | `getQueryStrand()` Return the strand of the hit with respect to the query sequence.
`double` | `getScore()` Return the overall score of this hit in the units defined by the search algorithm.
`List` | `getSubHits()` Return all sub-hits for this sequence similarity search hit.
`int` | `getSubjectEnd()` Return the end position of the last sub-hit in the subject sequence.
`String` | `getSubjectID()` The sequence identifier of this hit within the sequence database against which the search was performed.
`int` | `getSubjectStart()` Return the start position of the first sub-hit in the subject sequence.
`StrandedFeature.Strand` | `getSubjectStrand()` Return the strand of the sub-hit with respect to the subject sequence.

Methods inherited from interface org.biojava.bio.Annotatable
`getAnnotation`

Methods inherited from interface org.biojava.utils.Changeable
`addChangeListener, addChangeListener, isUnchanging, removeChangeListener, removeChangeListener`

Field Detail

### byScore

    static final SeqSimilaritySearchHit.ByScoreComparator byScore

  `byScore` contains a `SeqSimilaritySearchHit` comparator which compares by their score.

### bySubHitCount

    static final SeqSimilaritySearchHit.BySubHitCountComparator bySubHitCount

  `bySubHitCount` contains a `SeqSimilaritySearchHit` comparator which compares by their number of sub-hits.

Method Detail

### getScore

    double getScore()

  Return the overall score of this hit in the units defined by the search algorithm.

  Returns:
    the overall score of this hit. This is a mandatory piece of information and hence may not be NaN.

### getPValue

    double getPValue()

  Return the overall P-value of this hit.

  Returns:
    the overall P-value of this hit. This is an optional (but desired) piece of information and implementations of this interface may return NaN if a P-value is not available for this hit.

### getEValue

    double getEValue()

  Return the overall E-value of this hit.

  Returns:
    the overall E-value of this hit. This is an optional (but desired) piece of information and implementations of this interface may return NaN if an E-value is not available for this hit.

### getQueryStart

    int getQueryStart()

  Return the start position of the first sub-hit in the query sequence.

  Returns:
    an `int`.

### getQueryEnd

    int getQueryEnd()

  Return the end position of the last sub-hit in the query sequence.

  Returns:
    an `int`.

### getQueryStrand

    StrandedFeature.Strand getQueryStrand()

  Return the strand of the hit with respect to the query sequence. If the sub-hits are not all on the same strand this should return the unknown strand. This may be null for protein sequences.

  Returns:
    a `Strand`.

### getSubjectStart

    int getSubjectStart()

  Return the start position of the first sub-hit in the subject sequence.

  Returns:
    an `int`.

### getSubjectEnd

    int getSubjectEnd()

  Return the end position of the last sub-hit in the subject sequence.

  Returns:
    an `int`.

### getSubjectStrand

    StrandedFeature.Strand getSubjectStrand()

  Return the strand of the sub-hit with respect to the subject sequence. If the sub-hits are not all on the same strand this should return the unknown strand. This may be null for protein sequences.

  Returns:
    a `Strand`.

### getSubjectID

    String getSubjectID()

  The sequence identifier of this hit within the sequence database against which the search was performed.

  Returns:
    the (unique) sequence identifier for this hit, valid within the sequence database against which this search was performed. Never returns null.

### getSubHits

    List getSubHits()

  Return all sub-hits for this sequence similarity search hit. The sub-hits contain concrete alignments (and scores) for sequence stretches from the sequence of this hit. The sub-hits in the list returned by this method are sorted from best to worst.

  Returns:
    a List of SeqSimilaritySearchSubHit objects containing all sub-hits for this hit. Never returns null and the List is guaranteed to contain at least one entry.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD